
```no_run
#[derive(Debug, Clone, Bpaf)]
#[bpaf(options)]
pub struct Options {
    /// A custom switch
    #[bpaf(short, switch)]
    switch: bool,

    /// Custom number
    #[bpaf(positional("NUM"))]
    argument: usize,
}

fn main() {
    println!("{:?}", options().run())
}
```


Output

`bpaf` generates help message with a short name only as described

$ app --help

Usage: app [-s] NUM

Available positional items:

NUM

Custom number

Available options:

-s

A custom switch

-h, --help

Prints help information

And accepts the short name only

$ app -s 42
Options { switch: true, argument: 42 }

long name is missing

$ app --switch 42
Error: --switch is not expected in this context

